@Echo off
 set JobMgr_TcUser=%~1
 set JobMgr_TcPw=%~2

 set CmdCurRoot_DP=%~dp0
 set CmdCurRoot_DP=%CmdCurRoot_DP:~0,-1%


 Call Echo "**************************************************************************"
 Call Echo "* NxPartUtilCustomStart.cmd Script for journal_load_close_part_Test      *"
 Call Echo "* Based on Version: 13.05.2020 (c)addPLM GmbH                            *"
 Call Echo "**************************************************************************"

 REM -- define incudes
 set JobMgr_10-JobScriptsInc_01=_JobMgrDefaults
 set JobMgr_10-JobScriptsInc_02=_CustomDefaults\TcPrompt

 REM -- #Doc: disable TC_SHARED_MEMORY_DIR
 set TC_SHARED_MEMORY_DIR_Disable=true

 REM -- #Doc: Inits all Basics of Job
 Call "%~dp0_JobInitial.cmd" "journal_load_close_part_Test" "YES" "YES" "YES" "YES"

 REM -- TC Prompt for Custom
 set TCPrompt_Custom_Opt=NX120

 set titleTxt=Job:[%JobName%][%TcSiteId%][%Date% %time:~0,5%][\\%ComputerName%]
 title %titleTxt%

 if exist "%TCPrompt_Custom_DPNE%" Call "%TCPrompt_Custom_DPNE%"

 set Load_option=..

 set run_journal_exe=%UGII_ROOT_DIR%\run_journal.exe
 set run_journal_opt=-pim -u={0} -p{1} -g={2} "%CmdCurRoot_DP%\journal_load_close_part_Test.vb"

 set torun="%run_journal_exe%" %run_journal_opt%
 call %torun%

 pause
 REM -- #Doc: ends the Job
REM  Call "%~dp0_JobFinish.cmd"
